Bug 1247406 - "Core terminated" in Foreman production.log
"Core terminated" in Foreman production.log
Status: CLOSED DEFERRED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Tasks Plugin (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity medium (vote)
: 6.2.1
: 6.2
Assigned To: satellite6-bugs
: Triaged, UserExperience
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 18:57 EDT by Thom Carlin
Modified: 2017-03-21 17:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-21 17:10:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-07-27 18:57:03 EDT
Description of problem:

/var/log/foreman/production.log contains "[E] ...core terminated."
Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:
1. run fusor-installer
2.
3.

Actual results:

core terminated appears 4 times

Expected results:

No errors

Additional info:

Since it is preceded each time by "[I] shutting down Core..", it may be OK.  If so, a tech note would assist the person installing RHCI.
Comment 1 Thom Carlin 2015-07-27 18:57:28 EDT
Version: RHCI 6.0, ISO Media ID 1437667080.278333
Comment 2 John Matthews 2015-08-12 11:37:44 EDT
Jesus,

Please check if this should be reassigned to the dynflow/foreman-tasks component, or if this is a RHCI induced issue.
Comment 3 Antonin Pagac 2016-06-24 09:37:29 EDT
I can reproduce this consistently. For me it always appears two times in the log. The errors occur in the beginning of the production.log:

"2016-06-24 09:11:50 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:11:56 [foreman-tasks/dynflow] [I] start terminating throttle_limiter...
2016-06-24 09:11:56 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2016-06-24 09:11:56 [foreman-tasks/dynflow] [I] stop listening for new events...
2016-06-24 09:11:56 [foreman-tasks/dynflow] [I] start terminating clock...
2016-06-24 09:11:59 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:12:05 [foreman-tasks/dynflow] [I] start terminating throttle_limiter...
2016-06-24 09:12:05 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2016-06-24 09:12:05 [foreman-tasks/dynflow] [I] stop listening for new events...
2016-06-24 09:12:05 [foreman-tasks/dynflow] [I] start terminating clock...
2016-06-24 09:12:08 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:12:17 [app] [W] Foreman anonymous admin does not exist, skipping content host migration.
2016-06-24 09:12:17 [app] [W] Recreating the whole DB cache
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating delayed_executor...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating throttle_limiter...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating executor...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] shutting down Core ...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [E] ... core terminated.
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating executor dispatcher...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] stop listening for new events...
2016-06-24 09:12:17 [foreman-tasks/dynflow] [I] start terminating clock...
2016-06-24 09:12:21 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:12:28 [foreman-tasks/dynflow] [I] start terminating throttle_limiter...
2016-06-24 09:12:28 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2016-06-24 09:12:28 [foreman-tasks/dynflow] [I] stop listening for new events...
2016-06-24 09:12:28 [foreman-tasks/dynflow] [I] start terminating clock...
2016-06-24 09:14:15 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:14:16 [app] [W] fusor_server did not find 'Katello.config.logging.ignored_paths' available, skipping silence of logs for '["api/v21/foreman_tasks", "fusor/api/v21/unlogged"]'
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating delayed_executor...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating throttle_limiter...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating executor...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] shutting down Core ...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [E] ... core terminated.
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating executor dispatcher...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating client dispatcher...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] stop listening for new events...
2016-06-24 09:14:27 [foreman-tasks/dynflow] [I] start terminating clock...
2016-06-24 09:14:27 [app] [I] Started HEAD "/" for 127.0.0.1 at 2016-06-24 09:14:27 -0400
2016-06-24 09:14:28 [app] [I] Started HEAD "/" for 127.0.0.1 at 2016-06-24 09:14:28 -0400"

compose 20160623.t.0
Comment 9 Jesus M. Rodriguez 2016-08-01 15:11:03 EDT
These occur whenever we restart the katello server. 

https://github.com/Dynflow/dynflow/blob/master/lib/dynflow/executors/parallel/core.rb#L69
Comment 10 Jesus M. Rodriguez 2016-08-01 15:17:50 EDT
Reassigning to Satellite as this is a bug in dynflow (task engine) not QCI.
Comment 11 Jesus M. Rodriguez 2016-08-01 15:19:09 EDT
Method to recreate. Install Satellite. Run katello-service restart. look in /var/log/foreman/production.log and notice the error from comment #3.
Comment 12 Bryan Kearney 2017-03-21 17:10:28 EDT
Tracking this upstream in https://github.com/Dynflow/dynflow/pull/222. The next version of dynflow will have this. We will no longer track this issue down stream. If you feel this should not have been closed, please feel free to re-open with additional information.

Note You need to log in before you can comment on or make changes to this bug.